package com.ss.android.ugc.aweme.choosemusic.model;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C5226ONh;
import X.Crj;
import X.K0G;
import X.M12;
import X.OO5;
import X.OO6;
import X.OO7;
import X.OOD;
import X.OOE;
import X.OOH;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.opensourcemodified.android.support.design.widget.ViewPagerBottomSheetBehavior;

public final class ChooseMusicWithSceneViewModel extends 0Bt {
    public boolean LIZ;
    public boolean LIZIZ;
    public ViewPagerBottomSheetBehavior<View> LIZJ;
    public String LIZLLL;
    public String LJ;
    public String LJFF;
    public final Crj LJI = 7he.LIZ(OOD.LIZ);
    public final Crj LJII = 7he.LIZ(OO5.LIZ);
    public final Crj LJIIIIZZ = 7he.LIZ(OO6.LIZ);
    public final Crj LJIIIZ = 7he.LIZ(OO7.LIZ);

    static {
        Covode.recordClassIndex(56177);
    }

    public final 1Bn<K0G> LIZ() {
        return (1Bn) this.LJI.getValue();
    }

    public final 1Bn<C5226ONh> LIZIZ() {
        return (1Bn) this.LJII.getValue();
    }

    public final 1Bn<OOE> LIZJ() {
        return (1Bn) this.LJIIIIZZ.getValue();
    }

    public final 1Bn<OOE> LIZLLL() {
        return (1Bn) this.LJIIIZ.getValue();
    }

    public final void LJ() {
        this.LIZ = false;
        this.LIZIZ = false;
        this.LIZLLL = null;
        this.LJ = null;
        this.LJFF = null;
        this.LIZJ = null;
        LIZ().setValue((Object) null);
        LIZIZ().setValue(new C5226ONh());
        LIZJ().setValue(OOH.LIZ);
        LIZLLL().setValue(OOH.LIZ);
    }

    public final void LIZ(K0G k0g) {
        M12.LIZ(k0g);
        LIZ().setValue(k0g);
    }

    public final void LIZIZ(OOE ooe) {
        M12.LIZ(ooe);
        LIZLLL().setValue(ooe);
    }

    public final void LIZ(C5226ONh oNh) {
        M12.LIZ(oNh);
        LIZIZ().setValue(oNh);
    }

    public final void LIZ(OOE ooe) {
        M12.LIZ(ooe);
        LIZJ().setValue(ooe);
    }
}
